com.sun.mail.handlers

## Class text_html

- java.lang.Object
- - com.sun.mail.handlers.handler_base
  - - com.sun.mail.handlers.text_plain
    - - com.sun.mail.handlers.text_html

- All Implemented Interfaces:
    DataContentHandler

      public class text_html
      extends text_plain

  DataContentHandler for text/html.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `text_html()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ActivationDataFlavor[]` | `getDataFlavors()` Return an array of ActivationDataFlavors that we support.

    - ### Methods inherited from class com.sun.mail.handlers.text_plain

      `getContent, writeTo`

    - ### Methods inherited from class com.sun.mail.handlers.handler_base

      `getData, getTransferData, getTransferDataFlavors`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### text_html

          public text_html()

  - ### Method Detail

    - #### getDataFlavors

          protected ActivationDataFlavor[] getDataFlavors()

      Description copied from class: `handler_base`
      Return an array of ActivationDataFlavors that we support. Usually there will be only one.
      Overrides:
        `getDataFlavors` in class `text_plain`

Copyright © 2016 Oracle. All rights reserved.